version: 1
default_environment: dev
project_id: 31c666cb-33b9-43a3-884f-88af7ea504e4
environments:
  - name: dev
    config:
      plugins:
        extractors:
          - name: tap-mysql
            config:
              host: localhost
              port: 3306
              user: root
              database: somedb
              password: password
            select:
              - somedb-table1.*
            metadata:
              somedb-table1:
                replication-method: INCREMENTAL
                replication-key: id
  - name: staging
  - name: prod
plugins:
  extractors:
    - name: tap-mysql
      variant: transferwise
      pip_url: pipelinewise-tap-mysql
  loaders:
    - name: target-jsonl
      variant: andyh1203
      pip_url: target-jsonl
